library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;
use work.mypackage.all;

entity registers is
	 generic (LENGHT:	integer := 0);
    Port ( clk : in std_logic;
	 		  entrada : in std_logic_vector(LENGHT-1 downto 0);
           salida : out std_logic_vector(LENGHT-1 downto 0)
           );
end registers;

architecture Behavioral of registers is

begin

FF_entrada: process (CLK)
begin
   if CLK'event and CLK='0' then  --CLK rising edge
			salida <= entrada;
  end if;
end process;


end Behavioral;

